
#include <ESP8266WiFi.h>
#include <BlynkSimpleEsp8266.h>
#include <FastLED.h>

#define NUM_LEDS 16

#define DATA_PIN D1
#define CLOCK_PIN 13
// You should get Auth Token in the Blynk App.
// Go to the Project Settings (nut icon).
char auth[] = "[**BLYNK API KEY**]";

int leftStart = 0;
int middle = 7;
int rightEnd = 14;

// Your WiFi credentials.
// Set password to "" for open networks.
char ssid[] = "[**WIFI SSID**]";
char pass[] = "[**WIDI PASSWORD**]";

CRGB leds[NUM_LEDS];

void setup()
{
  // Debug console
  Serial.begin(9600);
  FastLED.addLeds<NEOPIXEL, DATA_PIN>(leds, NUM_LEDS);  // GRB ordering is assumed

  Blynk.begin(auth, ssid, pass);
  FastLED.clear();
}

void loop()
{
  Blynk.run();
}

BLYNK_WRITE(V1)
{
  int value = param.asInt(); // Get value as integer
  Serial.println(value);
  if (value == 1) {
    leftBlue();
    rightGreen();
  } else if (value == 2) {
    leftGreen();
    rightGreen();
  } else if (value == 3) {
    leftYellow();
    rightYellow();
  } else if (value == 4) {
    leftOff();
    rightRed();
  } else if (value == 5) {
    leftGreen();
    rightGreen();
  }
}

void leftBlue() {
  for (int i = leftStart; i < middle; i++) {
    leds[i] = CRGB::Blue;
    FastLED.show();

  }
}

void leftGreen() {
  for (int i = leftStart; i < middle; i++) {
    leds[i] = CRGB::Green;
    FastLED.show();

  }
}

void leftYellow() {
  for (int i = leftStart; i < middle; i++) {
    leds[i] = CRGB::Yellow;
    FastLED.show();

  }
}

void leftRed() {
  for (int i = leftStart; i < middle; i++) {
    leds[i] = CRGB::Red;
    FastLED.show();

  }
}

void leftOff() {
  for (int i = leftStart; i < middle; i++) {
    leds[i] = CRGB::Black;
    FastLED.show();

  }
}


void rightGreen() {
  for (int i = middle; i < rightEnd; i++) {
   leds[i] = CRGB::Green;
   FastLED.show();
  }
}

void rightYellow() {
  for (int i = middle; i < rightEnd; i++) {
   leds[i] = CRGB::Yellow;
   FastLED.show();
  }
}

void rightRed() {
  for (int i = middle; i < rightEnd; i++) {
   leds[i] = CRGB::Red;
   FastLED.show();
  }
}
