# ReflAction Code

## Contents
- [Layout](https://github.com/darkroasted/reflAction/edit/main/README.md#layout) 
- [Nodes](https://github.com/darkroasted/reflAction/edit/main/README.md#sensor-nodes)
- [LED Mask box](https://github.com/darkroasted/reflAction/edit/main/README.md#led-mask-box)
- [Smart Mirror](https://github.com/darkroasted/reflAction/edit/main/README.md#smart-mirror)
- [Server](https://github.com/darkroasted/reflAction/edit/main/README.md#server)


## Layout
![Image](https://user-images.githubusercontent.com/61181739/152158644-f39810e4-3f50-4f42-a2a6-e7d960598e31.png)

The Nodes communicate with the central server over MQTT (that has been secured!). The data is processed there in home assistant and then sent over to the mirror over standar HTTPS.

The Smart mirror is connected to a raspberry pi that is set to kiosk mode and connected to the home assistant server

The Led Box is connected to the server by using the BLYNK service. This is so that the wifi manager libary can be used easily and the box can easily be setup and connected to the wifi by the end user. Homeassistant uses the BLYNK api to communicate with it.

## Sensor Nodes
The sensor nodes are MQ-135 modules connected to an ESP8266 according to the scematic below. 

They are programmed with ESPHome and connect to the MQTT server. See [sensor-node.yaml](https://github.com/darkroasted/reflAction/blob/main/sensor-node.yaml) for more info on the code

![schematic](https://user-images.githubusercontent.com/61181739/152160017-657982f6-c671-465e-bd7c-bdac2b99ef4e.png)


## LED Mask Box

The Led mask box consists of just some NeoPixel Leds connected to an esp8266 that are controlled by blynk.

See the [led-box.ino](https://github.com/darkroasted/reflAction/blob/main/LedBox/LedBox.ino)

## Smart Mirror

The Smart mirror is connected to the home assistant server just by a simple HTTPS web connection

The frontend is configured with the Tile component, see the [frontend-configuration.yml](https://github.com/darkroasted/reflAction/blob/main/HomeAssistant/frontendConfig.yml) for more info. 

## Server 

The server has and eclipse MQTT server and home assistant instance running as docker containers. The Hassio instance is configured with the entries in [configuration.yaml](https://github.com/darkroasted/reflAction/blob/main/HomeAssistant/configuration.yaml) in addition to the default entries.
